# Generated by Django 4.0.4 on 2022-05-10 07:03

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('product', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Serie',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('sort_order', models.PositiveIntegerField(blank=True, default=0)),
                ('active', models.BooleanField(default=False)),
                ('created', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated', models.DateTimeField(default=django.utils.timezone.now)),
                ('slug', models.CharField(max_length=256, unique=True)),
                ('text', models.TextField(blank=True, verbose_name='Content')),
                ('title', models.CharField(blank=True, max_length=256)),
                ('h1', models.CharField(blank=True, max_length=256)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('keyword', models.CharField(blank=True, max_length=256)),
                ('detail', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='series', to='product.detail')),
            ],
            options={
                'ordering': ['sort_order'],
            },
        ),
    ]
